<html>
<head>
<title>Ogre::ConfigDialog Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ConfigDialog.html">ConfigDialog</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ConfigDialog Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ConfigDialog" --><!-- doxytag: inherits="Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject" -->
<p>Defines the behaviour of an automatic renderer configuration dialog.  
 <a href="classOgre_1_1ConfigDialog.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Android_2OgreConfigDialogImp_8h_source.html">OgreConfigDialogImp.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::ConfigDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1ConfigDialog__inherit__graph.gif" border="0" usemap="#Ogre_1_1ConfigDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1ConfigDialog_inherit__map" id="Ogre_1_1ConfigDialog_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="29,5,115,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1ConfigDialog-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">initialise</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#aafd08070efcdb79e02065f3182b64e3c">run</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a145ff70301c38309e3a441a9d97cc50f">cancel</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the dialog.  <a href="#a945692461234bd311e64c3c8c126d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the dialog.  <a href="#a945692461234bd311e64c3c8c126d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">initialise</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#aafd08070efcdb79e02065f3182b64e3c">run</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a145ff70301c38309e3a441a9d97cc50f">cancel</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the dialog.  <a href="#a945692461234bd311e64c3c8c126d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">initialise</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the dialog.  <a href="#a945692461234bd311e64c3c8c126d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">~ConfigDialog</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">display</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Displays the dialog.  <a href="#a945692461234bd311e64c3c8c126d23b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a4b7601582a2dd998ea695dc444eb35b7">createWindow</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create the gtk+ dialog window.  <a href="#a4b7601582a2dd998ea695dc444eb35b7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#aeae27a6cdd31fc6e9fe4d1f1a6059427">setupRendererParams</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get parameters from selected renderer and fill the dialog.  <a href="#aeae27a6cdd31fc6e9fe4d1f1a6059427"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a11998266c7603d3bc655cb30bf423bc8">rendererChanged</a> (GtkComboBox *widget, gpointer data)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback function for renderer select combobox.  <a href="#a11998266c7603d3bc655cb30bf423bc8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a65368b816eb40902c408328a2929b447">optionChanged</a> (GtkComboBox *widget, gpointer data)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback function to change a renderer option.  <a href="#a65368b816eb40902c408328a2929b447"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static gboolean&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a342af0075b73225b9f3baeca87b6db41">refreshParams</a> (gpointer data)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Idle function to refresh renderer parameters.  <a href="#a342af0075b73225b9f3baeca87b6db41"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static BOOL CALLBACK&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#af16312272110845c08d0f78a48fe103e">DlgProc</a> (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback to process window events.  <a href="#af16312272110845c08d0f78a48fe103e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a3279346ac371622affad09989c9e2d8e">iSelectedRenderSystem</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#aea078eb2d8ae6ebfd9ae6322e1b79387">iDisplayStatus</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a9ff59f5b49543a28619b6528656e098c">mSelectedRenderSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The rendersystem selected by user.  <a href="#a9ff59f5b49543a28619b6528656e098c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GtkWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#aae1f0b25abfe21f68afec7fbdfc5afed">mDialog</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The dialog window.  <a href="#aae1f0b25abfe21f68afec7fbdfc5afed"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GtkWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#adea4ade0de0cae1f254121624c643a25">mParamTable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The table with renderer parameters.  <a href="#adea4ade0de0cae1f254121624c643a25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GtkWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#a74af9b7025058f5445a531129b1c196c">mOKButton</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The button used to accept the dialog.  <a href="#a74af9b7025058f5445a531129b1c196c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">HINSTANCE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ConfigDialog.html#acc649f1f7d462c231f567facebc567ba">mHInstance</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Defines the behaviour of an automatic renderer configuration dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform. </dd></dl>
<dl class="author"><dt><b>Author:</b></dt><dd>Steven J. Streeting</dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform. </dd></dl>
<dl class="author"><dt><b>Author:</b></dt><dd>Andrew Zabolotny &lt;<a href="mailto:zap@homelink.ru">zap@homelink.ru</a>&gt; </dd></dl>

<p>Definition at line <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html#l00038">38</a> of file <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html">Android/OgreConfigDialogImp.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="ab541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">Ogre::ConfigDialog::~ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="ab541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">Ogre::ConfigDialog::~ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="ab541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">Ogre::ConfigDialog::~ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae89a2e30782cf209b2561fe1390036ae"></a><!-- doxytag: member="Ogre::ConfigDialog::ConfigDialog" ref="ae89a2e30782cf209b2561fe1390036ae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ae89a2e30782cf209b2561fe1390036ae">Ogre::ConfigDialog::ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab541abe720ac0114d27d794b0e9dd974"></a><!-- doxytag: member="Ogre::ConfigDialog::~ConfigDialog" ref="ab541abe720ac0114d27d794b0e9dd974" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ConfigDialog.html#ab541abe720ac0114d27d794b0e9dd974">Ogre::ConfigDialog::~ConfigDialog</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a145ff70301c38309e3a441a9d97cc50f"></a><!-- doxytag: member="Ogre::ConfigDialog::cancel" ref="a145ff70301c38309e3a441a9d97cc50f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#a145ff70301c38309e3a441a9d97cc50f">Ogre::ConfigDialog::cancel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a145ff70301c38309e3a441a9d97cc50f"></a><!-- doxytag: member="Ogre::ConfigDialog::cancel" ref="a145ff70301c38309e3a441a9d97cc50f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#a145ff70301c38309e3a441a9d97cc50f">Ogre::ConfigDialog::cancel</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4b7601582a2dd998ea695dc444eb35b7"></a><!-- doxytag: member="Ogre::ConfigDialog::createWindow" ref="a4b7601582a2dd998ea695dc444eb35b7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a4b7601582a2dd998ea695dc444eb35b7">Ogre::ConfigDialog::createWindow</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create the gtk+ dialog window. </p>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Displays the dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Displays the dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Displays the dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Displays the dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Displays the dialog. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>If the user accepted the dialog, <b>true</b> is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>If the user cancelled the dialog (indicating the application should probably terminate), <b>false</b> is returned. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1RenderSystem.html" title="Defines the functionality of a 3D API.">RenderSystem</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a945692461234bd311e64c3c8c126d23b"></a><!-- doxytag: member="Ogre::ConfigDialog::display" ref="a945692461234bd311e64c3c8c126d23b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#a945692461234bd311e64c3c8c126d23b">Ogre::ConfigDialog::display</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af16312272110845c08d0f78a48fe103e"></a><!-- doxytag: member="Ogre::ConfigDialog::DlgProc" ref="af16312272110845c08d0f78a48fe103e" args="(HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static BOOL CALLBACK <a class="el" href="classOgre_1_1ConfigDialog.html#af16312272110845c08d0f78a48fe103e">Ogre::ConfigDialog::DlgProc</a> </td>
          <td>(</td>
          <td class="paramtype">HWND&#160;</td>
          <td class="paramname"><em>hDlg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">UINT&#160;</td>
          <td class="paramname"><em>iMsg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">WPARAM&#160;</td>
          <td class="paramname"><em>wParam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">LPARAM&#160;</td>
          <td class="paramname"><em>lParam</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback to process window events. </p>

</div>
</div>
<a class="anchor" id="a13256672f2bebba9e0b0d7921c006e19"></a><!-- doxytag: member="Ogre::ConfigDialog::initialise" ref="a13256672f2bebba9e0b0d7921c006e19" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">Ogre::ConfigDialog::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a13256672f2bebba9e0b0d7921c006e19"></a><!-- doxytag: member="Ogre::ConfigDialog::initialise" ref="a13256672f2bebba9e0b0d7921c006e19" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">Ogre::ConfigDialog::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a13256672f2bebba9e0b0d7921c006e19"></a><!-- doxytag: member="Ogre::ConfigDialog::initialise" ref="a13256672f2bebba9e0b0d7921c006e19" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#a13256672f2bebba9e0b0d7921c006e19">Ogre::ConfigDialog::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::ConfigDialog::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::ConfigDialog::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::ConfigDialog::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::ConfigDialog::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::ConfigDialog::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::ConfigDialog::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::ConfigDialog::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::ConfigDialog::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::ConfigDialog::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::ConfigDialog::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a65368b816eb40902c408328a2929b447"></a><!-- doxytag: member="Ogre::ConfigDialog::optionChanged" ref="a65368b816eb40902c408328a2929b447" args="(GtkComboBox *widget, gpointer data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ConfigDialog.html#a65368b816eb40902c408328a2929b447">Ogre::ConfigDialog::optionChanged</a> </td>
          <td>(</td>
          <td class="paramtype">GtkComboBox *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback function to change a renderer option. </p>

</div>
</div>
<a class="anchor" id="a342af0075b73225b9f3baeca87b6db41"></a><!-- doxytag: member="Ogre::ConfigDialog::refreshParams" ref="a342af0075b73225b9f3baeca87b6db41" args="(gpointer data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static gboolean <a class="el" href="classOgre_1_1ConfigDialog.html#a342af0075b73225b9f3baeca87b6db41">Ogre::ConfigDialog::refreshParams</a> </td>
          <td>(</td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Idle function to refresh renderer parameters. </p>

</div>
</div>
<a class="anchor" id="a11998266c7603d3bc655cb30bf423bc8"></a><!-- doxytag: member="Ogre::ConfigDialog::rendererChanged" ref="a11998266c7603d3bc655cb30bf423bc8" args="(GtkComboBox *widget, gpointer data)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ConfigDialog.html#a11998266c7603d3bc655cb30bf423bc8">Ogre::ConfigDialog::rendererChanged</a> </td>
          <td>(</td>
          <td class="paramtype">GtkComboBox *&#160;</td>
          <td class="paramname"><em>widget</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">gpointer&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Callback function for renderer select combobox. </p>

</div>
</div>
<a class="anchor" id="aafd08070efcdb79e02065f3182b64e3c"></a><!-- doxytag: member="Ogre::ConfigDialog::run" ref="aafd08070efcdb79e02065f3182b64e3c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#aafd08070efcdb79e02065f3182b64e3c">Ogre::ConfigDialog::run</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aafd08070efcdb79e02065f3182b64e3c"></a><!-- doxytag: member="Ogre::ConfigDialog::run" ref="aafd08070efcdb79e02065f3182b64e3c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#aafd08070efcdb79e02065f3182b64e3c">Ogre::ConfigDialog::run</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeae27a6cdd31fc6e9fe4d1f1a6059427"></a><!-- doxytag: member="Ogre::ConfigDialog::setupRendererParams" ref="aeae27a6cdd31fc6e9fe4d1f1a6059427" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ConfigDialog.html#aeae27a6cdd31fc6e9fe4d1f1a6059427">Ogre::ConfigDialog::setupRendererParams</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get parameters from selected renderer and fill the dialog. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aea078eb2d8ae6ebfd9ae6322e1b79387"></a><!-- doxytag: member="Ogre::ConfigDialog::iDisplayStatus" ref="aea078eb2d8ae6ebfd9ae6322e1b79387" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1ConfigDialog.html#aea078eb2d8ae6ebfd9ae6322e1b79387">Ogre::ConfigDialog::iDisplayStatus</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html#l00053">53</a> of file <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html">Android/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3279346ac371622affad09989c9e2d8e"></a><!-- doxytag: member="Ogre::ConfigDialog::iSelectedRenderSystem" ref="a3279346ac371622affad09989c9e2d8e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> * <a class="el" href="classOgre_1_1ConfigDialog.html#a3279346ac371622affad09989c9e2d8e">Ogre::ConfigDialog::iSelectedRenderSystem</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html#l00052">52</a> of file <a class="el" href="Android_2OgreConfigDialogImp_8h_source.html">Android/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="aae1f0b25abfe21f68afec7fbdfc5afed"></a><!-- doxytag: member="Ogre::ConfigDialog::mDialog" ref="aae1f0b25abfe21f68afec7fbdfc5afed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* <a class="el" href="classOgre_1_1ConfigDialog.html#aae1f0b25abfe21f68afec7fbdfc5afed">Ogre::ConfigDialog::mDialog</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The dialog window. </p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html#l00079">79</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc649f1f7d462c231f567facebc567ba"></a><!-- doxytag: member="Ogre::ConfigDialog::mHInstance" ref="acc649f1f7d462c231f567facebc567ba" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">HINSTANCE <a class="el" href="classOgre_1_1ConfigDialog.html#acc649f1f7d462c231f567facebc567ba">Ogre::ConfigDialog::mHInstance</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreConfigDialogImp_8h_source.html#l00090">90</a> of file <a class="el" href="WIN32_2OgreConfigDialogImp_8h_source.html">WIN32/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a74af9b7025058f5445a531129b1c196c"></a><!-- doxytag: member="Ogre::ConfigDialog::mOKButton" ref="a74af9b7025058f5445a531129b1c196c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* <a class="el" href="classOgre_1_1ConfigDialog.html#a74af9b7025058f5445a531129b1c196c">Ogre::ConfigDialog::mOKButton</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The button used to accept the dialog. </p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html#l00083">83</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="adea4ade0de0cae1f254121624c643a25"></a><!-- doxytag: member="Ogre::ConfigDialog::mParamTable" ref="adea4ade0de0cae1f254121624c643a25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GtkWidget* <a class="el" href="classOgre_1_1ConfigDialog.html#adea4ade0de0cae1f254121624c643a25">Ogre::ConfigDialog::mParamTable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The table with renderer parameters. </p>

<p>Definition at line <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html#l00081">81</a> of file <a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html">gtk/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ff59f5b49543a28619b6528656e098c"></a><!-- doxytag: member="Ogre::ConfigDialog::mSelectedRenderSystem" ref="a9ff59f5b49543a28619b6528656e098c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderSystem.html">RenderSystem</a> * <a class="el" href="classOgre_1_1ConfigDialog.html#a9ff59f5b49543a28619b6528656e098c">Ogre::ConfigDialog::mSelectedRenderSystem</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The rendersystem selected by user. </p>

<p>Definition at line <a class="el" href="GLX_2OgreConfigDialogImp_8h_source.html#l00072">72</a> of file <a class="el" href="GLX_2OgreConfigDialogImp_8h_source.html">GLX/OgreConfigDialogImp.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Android_2OgreConfigDialogImp_8h_source.html">Android/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="GLX_2OgreConfigDialogImp_8h_source.html">GLX/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="gtk_2OgreConfigDialogImp_8h_source.html">gtk/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="iOS_2OgreConfigDialogImp_8h_source.html">iOS/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="NaCl_2OgreConfigDialogImp_8h_source.html">NaCl/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="OSX_2OgreConfigDialogImp_8h_source.html">OSX/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="WIN32_2OgreConfigDialogImp_8h_source.html">WIN32/OgreConfigDialogImp.h</a></li>
<li><a class="el" href="Symbian_2OgreConfigDialogImp_8h_source.html">Symbian/OgreConfigDialogImp.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
